## hibagent 1.0.1

=== Makefile ===
sources:
	python2.7 setup.py sdist --formats=gztar
	mv dist/*.gz .

=== debian/changelog ===
hibagent (1.0.1-0ubuntu1~14.04.1) trusty; urgency=medium

  * Rebuild for Trusty (LP: #1733353)
  * Depend on pm-utils
  * Don't apply obsolete fix-path-of-hibagent-in-tests.patch
  * Let tests fail during the build

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 20 Nov 2017 17:33:36 +0100

hibagent (1.0.1-0ubuntu1) bionic; urgency=medium

  * Build-depend on python3-all, it is needed by pybuild
  * Build-depend on python3-pytest to enable build-time tests
  * Drop debian/conffiles, files under /etc/ are marked as such automatically
  * Update maintainer according to Ubuntu processes
  * Fix typo: hybagent -> hibagent
  * Adjust path of hibagent to let tests be run Debian's way
  * Drop obsolete fields from d/control
  * Install init script properly
  * Fix too long line in Description
  * Add debian/copyright
  * Source /lib/lsb/init-functions in init script
  * Drop bogus Lintian override
  * Depend on lsb-base
  * Add debian/TODO with some items
  * Detect hibernation method and add support for systemd
  * Remove bashism and switch to system's sh in init script
  * Add LSB init info to init script
  * Drop pm-utils dependency
  * Fix enable-ec2-spot-hibernation command and disable starting hibagent by
    default.
  * Switch default packaging branch to ubuntu-devel.
    This makes using Ubuntu-style version numbers in the packaging branch less
    confusing.
  * Fix upstream's version number
  * Drop pyremove which is obsolete for the package

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 20 Nov 2017 15:40:16 +0100

hibagent (1.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Aleksei Besogonov <cyberax@amazon.com>  Tue, 17 Oct 2017 10:50:00 +0800

=== debian/control ===
Source: hibagent
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aleksei Besogonov <cyberax@amazon.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.6
X-Python3-Version: >= 3.3

Package: hibagent
Section: utils
Architecture: all
Priority: optional
Depends: ${misc:Depends}, ${python3:Depends},
         lsb-base,
         pm-utils
Description: Agent that triggers hibernation on EC2 instances
 Agent that triggers hibernation on EC2 instances when they receive instance
 stop notifications

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=hibagent

%:
	dh $@ --with=python3 --buildsystem=pybuild

# Ship init file but don't enable it in postinst
override_dh_installinit:
	cp etc/init.d/hibagent debian/hibagent.init
	dh_installinit -n

#override_dh_auto_build:
#	dh_auto_build --buildsystem=pybuild
#	# Build sphinx html documentation and man pages 
#	python3 setup.py build_sphinx -b html
#	python3 setup.py build_sphinx -b man

override_dh_clean:
	dh_clean
	rm -f debian/hibagent.init

# test_itn_polls fails during the build but it passes when running as
# $ python3 setup.py test
# most likely this is a packaging issue
override_dh_auto_test:
	-dh_auto_test

## hibagent 1.0.1+git20230216.9ac1209f7

=== debian/changelog ===
hibagent (1.0.1+git20230216.9ac1209f7-0ubuntu3) noble; urgency=medium

  * d/p/hibagent-test-use-importlib.patch: use importlib in
    test/hibagent_test.py as imp was removed in python3.12 (LP: #2044029).

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Mon, 20 Nov 2023 15:51:14 -0700

hibagent (1.0.1+git20230216.9ac1209f7-0ubuntu2) noble; urgency=medium

  * d/p/do-nothing-if-ODH-is-configured.patch: do nothing if ODH is configured,
    this fixes an issue when this package and ec2-hibinit-agent are installed
    and configured at the same time (LP: #2043739).
  * d/control: add python3-requests as Depends.

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Thu, 16 Nov 2023 15:35:33 -0700

hibagent (1.0.1+git20230216.9ac1209f7-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot from their `ubuntu` branch (LP: #1896638)
    - d/p/disable-hibernate-test.patch: disable a test that only works on an
      actual EC2 instance
  * d/p/setuptools-fix-package-discovery.patch: fix compatibility with modern
    setuptools
  * d/control: drop X-Python3-Versions as it lists a long obsolete lower bound

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 15 Feb 2023 11:49:49 +0100

hibagent (1.0.1-0ubuntu2) hirsute; urgency=medium

  * debian/copyright: Set Source to public upstream GitHub repository
  * Use Thread.is_alive() for Python 3.9 compatibility and fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 20 Jan 2021 18:10:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
                dh-python,
                python3-all,
                python3-pytest,
+               python3-requests,
                python3-setuptools
 Standards-Version: 3.9.6
-X-Python3-Version: >= 3.3
 
 Package: hibagent
 Section: utils
 Architecture: all
 Priority: optional
 Depends: ${misc:Depends}, ${python3:Depends},
-         lsb-base,
-         pm-utils
+         lsb-base
 Description: Agent that triggers hibernation on EC2 instances
  Agent that triggers hibernation on EC2 instances when they receive instance
  stop notifications
